/**
 * SKA LOW Sensitivity Calculator API
 * The SKA LOW Sensitivity Calculator API offers three modes: continuum, zoom and PSS.  Each of these has an API resource to calculate a sensitivity for an observation. Continuum and zoom have another to retrieve information relating to image weighting (beam-size and relative sensitivity).  There is also a resource for obtaining subarray information. 
 *
 * The version of the OpenAPI document: 10.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


export interface LowConfusionNoise { 
    /**
     * Confusion noise for given beam size and frequency
     */
    value: number;
    /**
     * Whether the confusion noise is a limit or value
     */
    limit_type: LowConfusionNoise.LimitTypeEnum;
}
export namespace LowConfusionNoise {
    export type LimitTypeEnum = 'upper limit' | 'lower limit' | 'value';
    export const LimitTypeEnum = {
        UpperLimit: 'upper limit' as LimitTypeEnum,
        LowerLimit: 'lower limit' as LimitTypeEnum,
        Value: 'value' as LimitTypeEnum
    };
}


